// Copyright 2006-2007 Deutsches Forschungszentrum fuer Kuenstliche Intelligenz 
// or its licensors, as applicable.
// 
// You may not use this file except under the terms of the accompanying license.
// 
// Licensed under the Apache License, Version 2.0 (the "License"); you
// may not use this file except in compliance with the License. You may
// obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
// 
// Project: ocr-utils
// File: report.h
// Purpose: interface for reports (output mixing text and images)
// Responsible: mezhirov
// Reviewer: 
// Primary Repository: 
// Web Sites: www.iupr.org, www.dfki.de

#ifndef h_report_
#define h_report_

#include "colib.h"

namespace ocropus {

struct IReport {
    virtual void add(const char *string, ...) = 0;
    virtual void add(colib::bytearray &image) = 0;
    virtual void add(colib::intarray &image) = 0;
    virtual void p() = 0;
    virtual ~IReport() {}
};

IReport *make_HTML_report(const char *path);

};

#endif
